Skip to main content
`Ctrl`+`K`

# PETSCLOGHANDLERROCTX

PETSCLOGHANDLERROCTX = “roctx” - A `PetscLogHandler` that creates an ROCTX range (which appears in rocprof profiling) for each PETSc event.

## Options Database Keys

- -log_roctx - start an roctx log handler manually

- -log_roctx 0 - stop the roctx log handler from starting automatically in `PetscInitialize()` in a program run within a rocprof profiling session

## See Also

Profiling, `PetscLogHandler`

## Level

developer

## Location

src/sys/logging/handler/impls/roctx/logroctx.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages